# $Revision: 1.27 $, $Date: 2009/01/14 13:30:48 $
%define		realname	swfdec-mozilla
Summary:	Flash player for webbrowsers
Summary(pl.UTF-8):	Odtwarzacz plików w formacie Flash dla przeglądarek internetowych
Name:		browser-plugin-swfdec
Version:	0.8.2
Release:	1
License:	LGPL v2.1+
Group:		X11/Applications/Multimedia
Source0:	http://swfdec.freedesktop.org/download/swfdec-mozilla/0.8/%{realname}-%{version}.tar.gz
# Source0-md5:	716632e0d35b3c1582c180569ba30346
URL:		http://swfdec.freedesktop.org/wiki/
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1.6
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	swfdec-gtk-devel >= 0.8.0
Requires(post,postun):	hicolor-icon-theme
Requires:	browser-plugins >= 2.0
Requires:	swfdec-gtk >= 0.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package delivers a video/audio player plugin for web browsers.

%description -l pl.UTF-8
Ten pakiet dostarcza wtyczkę odtwarzacza wideo/audio dla przeglądarek
internetowych.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	--with-plugin-dir=%{_browserpluginsdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_browserpluginsdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_browser_plugins
%update_icon_cache hicolor

%postun
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_browserpluginsdir}/libswfdecmozilla.so
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: browser-plugin-swfdec.spec,v $
Revision 1.27  2009/01/14 13:30:48  duddits
- up to 0.8.2

Revision 1.26  2008/10/07 20:46:38  dzeus
- up to 0.8.0 (merged from DEVEL)

Revision 1.24.2.3  2008/09/13 10:34:46  patrys
- 0.8.0

Revision 1.24.2.2  2008/07/31 08:06:12  patrys
- 0.7.4

Revision 1.24.2.1  2008/06/26 13:56:21  patrys
- 0.7.2

Revision 1.24  2008-04-23 09:07:11  hawk
- relaxed R/BR, version 0.6.0 builds and works with swfdec 0.6.4,
  tested on SeaMonkey, release 4

Revision 1.23  2008-04-23 08:30:43  hawk
- oops! don't use relup.sh on modified spec :)

Revision 1.22  2008-04-23 07:56:42  hawk
- release 2

Revision 1.21  2008-03-13 22:34:23  qboosh
- updated to 0.6.0

Revision 1.20  2008-03-13 21:02:07  arekm
- rel 2

Revision 1.19  2007-12-18 19:50:26  vip
- up to 0.5.5

Revision 1.18  2007-12-16 12:29:18  qboosh
- updated to 0.5.4

Revision 1.17  2007-11-04 14:49:19  qboosh
- updated to 0.5.3

Revision 1.16  2007/08/26 12:05:26  dzeus
- up to 0.5.2

Revision 1.15  2007/08/07 11:57:21  dzeus
- up to 0.5.1

Revision 1.14  2007/07/27 19:18:36  megabajt
- updated to 0.5.0

Revision 1.13  2007/06/12 21:49:10  qboosh
- updated to 0.4.5
- removed obsolete xulrunner patch
- spec cleanup

Revision 1.12  2007/04/28 20:28:24  qboosh
- needs swfdec-gtk; alsa-lib used indirectly now

Revision 1.11  2007/04/28 19:58:09  megabajt
- updated to 0.4.4

Revision 1.10  2007/04/21 17:20:20  megabajt
- browser plugins v2
- missing BRs

Revision 1.9  2007/03/26 13:27:51  glen
- todo is not done

Revision 1.8  2007/03/24 11:04:07  wrobell
- fixed build requirements (thanks arvenil)

Revision 1.7  2007/03/23 19:41:06  wrobell
- rel. 1

Revision 1.6  2007/03/23 19:39:11  wrobell
- works nicely as browser plugin

Revision 1.5  2007/03/23 00:40:26  wrobell
- ver. 0.4.3

Revision 1.4  2007/03/22 00:22:21  glen
- böö

Revision 1.3  2007/03/21 23:46:00  wrobell
- builds now

Revision 1.2  2007/03/21 16:12:34  glen
- todo

Revision 1.1  2007/03/21 09:10:14  wrobell
- based on kaffeine plugin spec, nfy
